Bug 10119 - libssp упразднён переходом на glibc-2.5
: libssp упразднён переходом на glibc-2.5
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libssp4.1)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-12 14:01 by
Modified: 2007-07-08 00:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-12 14:01:50
Так как у нас теперь -fstack-protector по умолчанию включен, то библиотека 
libssp является важной частью базовой системы, и поэтому на мой взгляд должна 
лежать в /lib
------- Comment #1 From 2006-10-13 01:44:21 -------
Какая разница, где находится libssp, если она не используется, поскольку всё
необходимое есть в glibc?  Я вообще не уверен, имеет ли смысл вообще паковать
libssp.  В FC, например, этого не делают.
------- Comment #2 From 2006-10-13 09:34:05 -------
Ой, точно. Просто раньше -fstack-protector давал зависимость на libssp, а
теперь
не дает. Ну значит INVALID.
------- Comment #3 From 2006-10-14 01:22:29 -------
OK, будем считать что это запрос на удаление пакета.
Fixed in 4.1.1-alt10.
------- Comment #4 From 2006-10-14 03:29:36 -------
А разве при использовании -fstack-protector у пакетов появляется какая-то новая
зависимость?  Чем тогда будет гарантироваться наличие достаточно новой glibc?
------- Comment #5 From 2006-10-14 03:44:01 -------
Конечно, при использовании -fstack-protector на glibc>=2.4 появляется undefined
reference на __stack_chk_guard, а это, в свою очередь, приводит к необходимой
зависимости ввиду
elf/Versions (ld): Export __stack_chk_guard@@GLIBC_2.4